Bug 474835 - No lpsk31rc file
No lpsk31rc file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lpsk31 (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Robert 'Bob' Jensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 10:38 EST by John J. McDonough
Modified: 2008-12-21 03:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-16 00:59:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John J. McDonough 2008-12-05 10:38:43 EST
Description of problem:
lpsk31 requires that the user edit a configuration file, ~/lpsk31/lpsk31rc before the application will start.  However, no such file exists, nor is there a template in /usr/share nor is there documentation of the file format.

Version-Release number of selected component (if applicable):
lpsk31-1.1

How reproducible:
reproduceable

Steps to Reproduce:
1. examine ~/lpsk31, /usr/share/lpsk31 (no such directory), /usr/share/doc/lpsk31-1.1
2. Note that lpsk31rc does not exist in any of those locations
3.
  
Actual results:
[jjmcd@Conor ~]$ lpsk31
/home/jjmcd/lpsk31/lpsk31rc: No such file or directory


Expected results:


Additional info:
Does this package require the source RPM to be useable?  The documentation html seems to assume the application is built from source.  Perhaps an enhancement to the documentation is needed
Comment 1 Sindre Pedersen Bjørdal 2008-12-11 06:24:31 EST
Confirmed. Solution is to write a wrapper script around the binary to ensure that the configuration file is included. Working on it.
Comment 2 Fedora Update System 2008-12-11 07:42:28 EST
lpsk31-1.1-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lpsk31-1.1-4.fc10
Comment 3 Fedora Update System 2008-12-11 08:18:47 EST
lpsk31-1.1-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lpsk31-1.1-4.fc9
Comment 4 Fedora Update System 2008-12-13 10:02:33 EST
lpsk31-1.1-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update lpsk31'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11225
Comment 5 Fedora Update System 2008-12-13 10:08:24 EST
lpsk31-1.1-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lpsk31'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11260
Comment 6 Robert 'Bob' Jensen 2008-12-16 00:59:33 EST
lpsk31rc file now included.

# rpm -ql lpsk31
/usr/bin/lpsk31
/usr/libexec/lpsk31-bin
/usr/share/doc/lpsk31-1.1
/usr/share/doc/lpsk31-1.1/AUTHORS
/usr/share/doc/lpsk31-1.1/README
/usr/share/doc/lpsk31-1.1/lpsk31.html
/usr/share/doc/lpsk31-1.1/p31g3plx.pdf
/usr/share/lpsk31
/usr/share/lpsk31/lpsk31rc
Comment 7 Fedora Update System 2008-12-21 03:25:56 EST
lpsk31-1.1-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-12-21 03:33:53 EST
lpsk31-1.1-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.